Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525538 - x11-drivers/xf86-video-nouveau-1.0.10-r1 with sys-kernel/gentoo-sources-3.17.0 - (EE) NOUVEAU(0): Error creating GPU channel: -13
Summary: x11-drivers/xf86-video-nouveau-1.0.10-r1 with sys-kernel/gentoo-sources-3.17....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-16 07:42 UTC by miguelramos
Modified: 2014-11-17 14:21 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
log(s?) (file_525538.txt,14.23 KB, text/plain)
2014-10-16 07:42 UTC, miguelramos
Details
dmesg after booting kernel 3.17.1 from gentoo-sources (dmesg3.17.1,25.73 KB, text/plain)
2014-10-17 15:05 UTC, miguelramos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description miguelramos 2014-10-16 07:42:58 UTC
Created attachment 386756 [details]
log(s?)

No hardware 3D support for  NVIDIA Corporation NV44A [GeForce 6200] (rev a1) when kernel is compiled using gentoo-sources-3.17.0  

gdm finally starts with software 3D rendering because no support for hardware 3D acceleration can be activated. This video card worked properly with 3D hardaware rendering for gentoo-sources-3.14.x, gentoo-sources-3.15.x and gentoo-sources-3.16.x
Comment 1 Jeroen Roovers gentoo-dev 2014-10-16 07:48:17 UTC
Please post your `emerge --info x11-drivers/xf86-video-nouveau' output in a comment.
Comment 2 miguelramos 2014-10-16 08:03:22 UTC
Portage 2.2.8-r2 (default/linux/x86/13.0/desktop/gnome/systemd, gcc-4.7.3, glibc-2.19-r1, 3.17.0-gentoo-nouveau i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.17.0-gentoo-nouveau-i686-Intel-R-_Pentium-R-_4_CPU_3.06GHz-with-gentoo-2.2
KiB Mem:     2071288 total,   1538876 free
KiB Swap:    3188864 total,   3188864 free
Timestamp of tree: Tue, 14 Oct 2014 08:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p53
dev-java/java-config:     2.2.0
dev-lang/perl:            5.18.2-r1
dev-lang/python:          2.7.7, 3.3.5-r1, 3.4.1
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.16 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo sunrise condmat1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
DISTDIR="/usr/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask-write --keep-going"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://ftp.heanet.ie/pub/gentoo/"
LANG="es_ES.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/local/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa apache2 bash-completion berkdb branding bzip2 cairo cdda cddb cdr cleartype cli colord cracklib crypt css cups cxx dbus djvu dri dts dvd dvdr dvi eds emboss encode exif fam fat firefox flac foomaticdb fortran gdbm gif gimp glamor glitz gmail gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv imap introspection ipod java jpeg jpeg2k kdeenablefinal kdehiddenvisibility kpathsea latex lcms libkms libnotify libsecret luatex lzma mad mbox mmx mmxext mng modules mp3 mp4 mpeg musepack musicbrainz nautilus ncurses network network-cron nls nptl ogg opengl openmp pam pango pch pdf png policykit pop ppds pulseaudio qt3support qt4 raw readline reiserfs sdl session smp socialweb spell sse sse2 ssl startup-notification svg systemd t1lib tcpd theora tiff truetype udev udisks unicode upower usb vcd vdpau vorbis wxwidgets x264 x86 xattr xcb xcomposite xml xmp xv xvid zlib" ABI_X86="32" ALSA_CARDS="intel8x0" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="es es_ES en_US en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

x11-drivers/xf86-video-nouveau-1.0.10-r1 was built with the following:
USE="udev"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,lazy"
Comment 3 miguelramos 2014-10-16 21:04:36 UTC
Problem persists with sys-kernel/gentoo-sources-3.17.1
Comment 4 Pacho Ramos gentoo-dev 2014-10-17 09:48:03 UTC
Probably "dmesg" output could also be useful, please attach it here too
Comment 5 miguelramos 2014-10-17 15:05:25 UTC
Created attachment 386804 [details]
dmesg after booting kernel 3.17.1 from gentoo-sources
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-10-23 15:03:39 UTC
Can you try again with 1.0.11?
Comment 7 miguelramos 2014-10-24 13:08:50 UTC
(In reply to Chí-Thanh Christopher Nguyễn from comment #6)
> Can you try again with 1.0.11?

xf86-video-nouveau-1.0.11 fails (the same logs and dmesg). I thought that may be I could get somo more information shutting down gdm and starting X from a console using the startx command (in my desktop, this should  start X with icewm). It fails too, but I get the following logs from /var/log/Xorg.1.log:


[   210.692] 
X.Org X Server 1.16.1
Release Date: 2014-09-21
[   210.693] X Protocol Version 11, Revision 0
[   210.693] Build Operating System: Linux 3.16.4-gentoo-nouveau i686 Gentoo
[   210.694] Current Operating System: Linux condmat1 3.17.1-gentoo-r1-nouveau #
1 SMP PREEMPT Fri Oct 24 09:01:41 CEST 2014 i686
[   210.694] Kernel command line: root=/dev/sda1 rootfstype=ext4 init=/usr/lib/s
ystemd/systemd drm.debug=1 quiet
[   210.695] Build Date: 13 October 2014  06:38:53PM
[   210.696]  
[   210.697] Current version of pixman: 0.32.4
[   210.698]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[   210.699] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   210.702] (==) Log file: "/var/log/Xorg.1.log", Time: Fri Oct 24 09:48:42 201
4
[   210.703] (==) Using config directory: "/etc/X11/xorg.conf.d"
[   210.704] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   210.704] (==) No Layout section.  Using the first Screen section.
[   210.704] (==) No screen section available. Using defaults.
[   210.704] (**) |-->Screen "Default Screen Section" (0)
[   210.704] (**) |   |-->Monitor "<default monitor>"
[   210.704] (==) No device specified for screen "Default Screen Section".
        Using the first device section listed.
[   210.704] (**) |   |-->Device "Device0"
[   210.704] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[   210.704] (==) Automatically adding devices
[   210.704] (==) Automatically enabling devices
[   210.704] (==) Automatically adding GPU devices
[   210.704] (WW) The directory "/usr/share/fonts/TTF/" does not exist.
[   210.704]    Entry deleted from font path.
[   210.704] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[   210.704]    Entry deleted from font path.
[   210.704] (WW) The directory "/usr/share/fonts/Type1/" does not exist.
[   210.704]    Entry deleted from font path.
[   210.704] (WW) The directory "/usr/share/fonts/100dpi/" does not exist.
[   210.704]    Entry deleted from font [   210.704] (II) The server relies on udev to provide the list of input devices
.
        If no devices become available, reconfigure udev or disable AutoAddDevic
es.
[   210.704] (II) Loader magic: 0x825c680
[   210.705] (II) Module ABI versions:
[   210.705]    X.Org ANSI C Emulation: 0.4
[   210.705]    X.Org Video Driver: 18.0
[   210.705]    X.Org XInput driver : 21.0
[   210.705]    X.Org Server Extension : 8.0
[   210.710] (II) systemd-logind: took control of session /org/freedesktop/login1/session/_31
[   210.711] (II) xfree86: Adding drm device (/dev/dri/card0)
[   210.712] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 8 paused 0
[   210.714] (--) PCI:*(0:1:0:0) 10de:0221:3842:a403 rev 161, Mem @ 0x9f000000/16777216, 0xc0000000/536870912, 0x9e000000/16777216, BIOS @ 0x????????/131072
[   210.714] (II) LoadModule: "glx"
[   210.715] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[   210.717] (II) Module glx: vendor="X.Org Foundation"
[   210.717]    compiled for 1.16.1, module version = 1.0.0
[   210.717]    ABI class: X.Org Server Extension, version 8.0
[   210.717] (==) AIGLX enabled
[   210.717] (II) LoadModule: "nouveau"path.
[   210.704] (WW) The directory "/usr/share/fonts/75dpi/" does not exist.
[   210.704]    Entry deleted from font path.
[   210.704] (==) FontPath set to:
        /usr/share/fonts/misc/
[   210.704] (==) ModulePath set to "/usr/lib/xorg/modules"
[   210.717] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[   210.718] (II) Module nouveau: vendor="X.Org Foundation"
[   210.718]    compiled for 1.16.1, module version = 1.0.11
[   210.718]    Module class: X.Org Video Driver
[   210.718]    ABI class: X.Org Video Driver, version 18.0
[   210.718] (II) NOUVEAU driver 
[   210.718] (II) NOUVEAU driver for NVIDIA chipset families :
[   210.718]    RIVA TNT        (NV04)
[   210.718]    RIVA TNT2       (NV05)
[   210.718]    GeForce 256     (NV10)
[   210.718]    GeForce 2       (NV11, NV15)
[   210.718]    GeForce 4MX     (NV17, NV18)
[   210.718]    GeForce 3       (NV20)
[   210.718]    GeForce 4Ti     (NV25, NV28)
[   210.718]    GeForce FX      (NV3x)
[   210.718]    GeForce 6       (NV4x)
[   210.718]    GeForce 7       (G7x)
[   210.719]    GeForce 8       (G8x)
[   210.719]    GeForce GTX 200 (NVA0)
[   210.719]    GeForce GTX 400 (NVC0)
[   210.719] (--) using VT number 2

[   210.721] (II) [drm] nouveau interface version: 1.2.0
[   210.721] (II) Loading sub module "dri2"
[   210.721] (II) LoadModule: "dri2"
[   210.721] (II) Module "dri2" already built-in
[   210.721] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
[   210.722] (EE) NOUVEAU(0): [drm] error opening the drm
[   210.722] (EE) NOUVEAU(0): 892: 
[   210.722] (II) UnloadModule: "nouveau"
[   210.722] (EE) Screen(s) found, but none have a usable configuration.
[   210.722] (EE) 
Fatal server error:
[   210.722] (EE) no screens found(EE) 
[   210.722] (EE) 
Please consult the The X.Org Foundation support 
         at http://wiki.x.org
 for help. 
[   210.722] (EE) Please also check the log file at "/var/log/Xorg.1.log" for additional information.
[   210.722] (EE) 
[   210.759] (EE) Server terminated with error (1). Closing log file.
Comment 8 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-10-24 13:56:52 UTC
It is probably a kernel issue. If you can, a git bisect could help in identifying the problem.

Also please create a bug report at https://bugs.freedesktop.org/ (if none already exists) and link it here.
Comment 9 miguelramos 2014-11-17 13:23:23 UTC
Problem solved in gentoo-sources-3.17.3.

Glxinfo informs me that  3D rendering is now provided by Gallium 0.4 on NV4A.

No error in dmesg.
Comment 10 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-11-17 14:21:32 UTC
Marking as fixed per comment #9.